<?php
session_start();
$rut = $_SESSION['rut'];
$cliente = $_SESSION['cliente'];

$embalaje_cod = $_REQUEST['embalaje_cod'];
$variedad_id = $_REQUEST['variedad_id'];
$productor_id = $_REQUEST['productor_id'];
if (isset($_REQUEST['n_lote'])) {
  $n_lote = $_REQUEST['n_lote'];
} else {
  $n_lote = "";
}


if (isset($_REQUEST['camara_id'])) {
  $camara_id = $_REQUEST['camara_id'];
} else {
  $camara_id = "";
}

if (isset($_REQUEST['n_proceso'])) {
  $n_proceso = $_REQUEST['n_proceso'];
} else {
  $n_proceso = "";
}

$pi_folio = $_REQUEST['pi_folio'];
$especie_id = $_REQUEST['especie_id'];

$defectos_arreglo = array();
$defectos_cumple = array();
$defectos_porcentaje = array();
$cant_defecto = -1;
$cantidad_cajas_planilla = -1;
$contador_cant_cajas = 0;
$arreglo_cajas = array();

$suma = 0;
$n_proceso_suma = "";
$calibre_suma = "";

$where = "";

if ($variedad_id != "") {
  $where .= " AND variedad_id='$variedad_id'";
}

if ($productor_id != "") {
  $where .= " AND productor_id='$productor_id'";
}

/*if($n_proceso!=""){
  $where.=" AND n_proceso='$n_proceso'";
}

if($n_lote!=""){
  $where.=" AND n_lote='$n_lote'";
}*/

include '../../conexion/conn.php';

?>

<!doctype html>
<html lang="es">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">
  <link rel="icon" href="../../../../favicon.ico">

  <title>Comercial</title>

  <style CSS>
    table.blueTable {
      border: 1px solid #1C6EA4;
      background-color: #EEEEEE;
      width: auto;
      text-align: left;
      border-collapse: collapse;
    }

    table.blueTable td,
    table.blueTable th {
      border: 1px solid #AAAAAA;
      padding: 3px 2px;
    }

    table.blueTable tbody td {
      font-size: 13px;
    }

    table.blueTable tr:nth-child(even) {
      background: #D0E4F5;
    }

    table.blueTable thead {
      background: #1C6EA4;
      background: -moz-linear-gradient(top, #5592bb 0%, #327cad 66%, #1C6EA4 100%);
      background: -webkit-linear-gradient(top, #5592bb 0%, #327cad 66%, #1C6EA4 100%);
      background: linear-gradient(to bottom, #5592bb 0%, #327cad 66%, #1C6EA4 100%);
      border-bottom: 2px solid #444444;
    }

    table.blueTable thead th {
      width: auto;
      font-size: 15px;
      font-weight: bold;
      color: #FFFFFF;
      border-left: 2px solid #D0E4F5;
    }

    table.blueTable thead th:first-child {
      border-left: none;
    }

    table.blueTable tfoot {
      font-size: 14px;
      font-weight: bold;
      color: #FFFFFF;
      background: #D0E4F5;
      background: -moz-linear-gradient(top, #dcebf7 0%, #d4e6f6 66%, #D0E4F5 100%);
      background: -webkit-linear-gradient(top, #dcebf7 0%, #d4e6f6 66%, #D0E4F5 100%);
      background: linear-gradient(to bottom, #dcebf7 0%, #d4e6f6 66%, #D0E4F5 100%);
      border-top: 2px solid #444444;
    }

    table.blueTable tfoot td {
      font-size: 14px;
    }

    table.blueTable tfoot .links {
      text-align: right;
    }

    table.blueTable tfoot .links a {
      display: inline-block;
      background: #1C6EA4;
      color: #FFFFFF;
      padding: 2px 8px;
      border-radius: 5px;
    }

    .modal-full {
      min-width: 100%;
      margin: 0;
    }

    .modal-full .modal-content {
      min-height: 100vh;
    }

    .vertical {
      text-align: center;
      vertical-align: middle;
      width: 40px;
      height: auto;
      margin: 0px;
      margin-bottom: 3px;
      padding: 0px;
      font-size: 10px;
      padding-left: 3px;
      padding-right: 3px;
      padding-top: 3px;
      white-space: nowrap;
      -webkit-transform: rotate(-90deg);
      -moz-transform: rotate(-90deg);
      -o-transform: rotate(-90deg);
    }
  </style>

</head>

<body style="padding-top: 0px;">
  <?php
  

  $rs = mysql_query("SELECT * FROM cal_embalaje where embalaje_cod='$embalaje_cod'");

  if ($row = mysql_fetch_array($rs)) {
    $norma_id = $row['norma_id'];
    $peso_neto_min = $row['peso_neto_min'];
    $peso_neto_medio = $row['peso_neto_medio'];
    $peso_neto_max = $row['peso_neto_max'];
  }
  // echo $embalaje_cod."<br/>";
  //   echo $variedad_id."<br/>";
  //   echo $productor_id."<br/>";
    
  //   echo $camara_id."<br/>";
  //   echo $especie_id."<br/>";
  //   echo $pi_folio."<br/>";
  //   echo $norma_id."<br/>";

  echo '<button id="btnNuevo" type="button" class="btn btn-primary" onclick="nueva_caja(\'' . $embalaje_cod . '\', \'' . $variedad_id . '\', \'' . $productor_id . '\', \'' . $camara_id . '\', \'' . $n_proceso . '\', \'' . $pi_folio . '\', \'' . $especie_id . '\', \'' . $n_lote . '\', \'' . $norma_id . '\');">Nuevo</button>';


  echo '<TABLE BORDER CELLPADDING=10 CELLSPACING=0>';

  $defectos = "(";
  $defectos2 = "";

  $rs2 = mysql_query("SELECT * FROM `cal_norma_detalle` INNER JOIN cal_planilla_defectos ON cal_planilla_defectos.id_planilla_defecto=cal_norma_detalle.id_planilla_defecto INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto WHERE cal_norma_detalle.norma_id='$norma_id' AND cal_norma_detalle.clasificacion_id='TODAS'AND cal_norma_detalle.variedad_id='$variedad_id'AND cal_norma_detalle.calibre_id='TODOS' $defectos2 ORDER BY cal_norma_detalle.orden_ingreso ASC");

  while ($row2 = mysql_fetch_array($rs2)) {
    $defectos .= "cal_norma_detalle.norma_detalle_id='" . $row2['norma_detalle_id'] . "' OR ";
    $defectos2 .= "AND cal_norma_detalle.id_planilla_defecto!='" . $row2['id_planilla_defecto'] . "' ";
  }

  $rs2 = mysql_query("SELECT * FROM `cal_norma_detalle` INNER JOIN cal_planilla_defectos ON cal_planilla_defectos.id_planilla_defecto=cal_norma_detalle.id_planilla_defecto INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto WHERE cal_norma_detalle.norma_id='$norma_id' AND cal_norma_detalle.clasificacion_id='TODAS'AND cal_norma_detalle.variedad_id='TODAS'AND cal_norma_detalle.calibre_id='TODOS' $defectos2 ORDER BY cal_norma_detalle.orden_ingreso ASC");

  while ($row2 = mysql_fetch_array($rs2)) {
    $defectos .= "cal_norma_detalle.norma_detalle_id='" . $row2['norma_detalle_id'] . "' OR ";
    $defectos2 .= "AND cal_norma_detalle.id_planilla_defecto!='" . $row2['id_planilla_defecto'] . "' ";
  }


  $defectos .= "1=2)";

  $rs = mysql_query("SELECT * FROM `cal_norma_detalle` INNER JOIN cal_planilla_defectos ON cal_planilla_defectos.id_planilla_defecto=cal_norma_detalle.id_planilla_defecto INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto WHERE cal_norma_detalle.norma_id='$norma_id' AND $defectos ORDER BY cal_norma_detalle.orden_ingreso ASC");
  echo '<tr height="200" align="left" valign="bottom">';

  echo '<th><div class="vertical">Editar</div></th>';
  echo '<th><div class="vertical">Eliminar</div></th>';

  echo '<th><div class="vertical">Caja</div></th>';



  echo '<th><div class="vertical">Productor Rotulado</div></th>';


  echo '<th><div class="vertical">Variedad Rotulada</div></th>';






  while ($row = mysql_fetch_array($rs)) {
    $id_defecto = $row['id_defecto'];
    $color = $row['color'];
    $nombre_defecto = $row['nombre_defecto'];

    echo '<th bgcolor="' . $color . '"><div class="vertical">' . $nombre_defecto . '</div></th>';
  }


  echo '<th><div class="vertical">Foto 1</div></th>';
  echo '<th><div class="vertical">Foto 2</div></th>';
  echo '<th><div class="vertical">Foto 3</div></th>';
  echo '<th><div class="vertical">Observacion</div></th>';
  echo '</tr>';




  $rscajas = mysql_query("SELECT * FROM cal_cajas WHERE pi_folio='$pi_folio' AND caja_madre='' $where ORDER BY num DESC");


  //################################### CAJAS MADRE #########################
  $cont_color = 0;

  while ($rowcajas = mysql_fetch_array($rscajas)) {
    $suma_total_defectos_desgrane = 0;
    $cumple_peso_fijo_prom = 0;
    if ($cont_color == 0) {
      $cont_color++;
      $color_caja = "#c5c5c5";
    } else if ($cont_color == 1) {
      $cont_color = 0;
      $color_caja = "#9e9e9e";
    }

    echo '<tr bgcolor="' . $color_caja . '">';
    $caja_id = $rowcajas['caja_id'];
    $num_caja = $rowcajas['num'];
    $folio_pallet = $rowcajas['folio_pallet'];
    $cant_cajas = $rowcajas['cant_cajas'];
    $n_proceso = $rowcajas['n_proceso'];
    $nfrutos = $rowcajas['nfrutos'];
    $n_lote = $rowcajas['n_lote'];
    $baya_promedio = $rowcajas['baya_promedio'];
    $n_cal = $rowcajas['n_cal'];
    $n_cond = $rowcajas['n_cond'];

    $cumple_peso_fijo = $rowcajas['cumple_peso_fijo'];
    $norma_id_prom = $rowcajas['norma_id'];

    $embalaje_cod = $rowcajas['embalaje_cod'];

    $rsemb = mysql_query("SELECT * FROM cal_embalaje where embalaje_cod='$embalaje_cod'");

    if ($rowemb = mysql_fetch_array($rsemb)) {
      //$norma_id=$row['norma_id'];
      $peso_neto_min = $rowemb['peso_neto_min'];
      $peso_neto_medio = $rowemb['peso_neto_medio'];
      $peso_neto_max = $rowemb['peso_neto_max'];
    }

    $variedad_id = $rowcajas['variedad_id'];
    $variedad_id_real = $rowcajas['variedad_id_real'];
    $productor_id = $rowcajas['productor_id'];
    $productor_id_real = $rowcajas['productor_id_real'];
    $clasificacion_id = $rowcajas['clasificacion_id'];
    $calibre_id = $rowcajas['calibre_id'];

    $resultado_caja = $rowcajas['resultado_caja'];
    $resultado_pallet = $rowcajas['resultado_pallet'];
    $resultado_pallet_caja_madre = $rowcajas['resultado_caja'];
    $observacion = $rowcajas['observacion'];
    $cumple_peso_fijo = $rowcajas['cumple_peso_fijo'];
    $cumple_packing = $rowcajas['cumple_packing'];
    $resolucion_lote_real = $rowcajas['resolucion_lote_real'];

    $calidad_amarillo = 0;
    $calidad_rojo = 0;

    $condicion_amarillo = 0;
    $condicion_rojo = 0;

    $where_caja_madre_hija = "(cal_cajas_det.caja_id='" . $caja_id . "'";

    echo '<td><button id="btnNuevo" type="button" class="btn btn-primary" onclick="editar(' . $num_caja . ', \'' . $pi_folio . '\', \'' . $embalaje_cod . '\', \'' . $norma_id . '\', \'' . $especie_id . '\', \'' . $n_lote . '\')"><img src="../../sincronizar/editar.png" height="30" width="30"></button></td>';
    echo '<td><button id="btnNuevo" type="button" class="btn btn-primary" onclick="eliminar_caja(' . $num_caja . ', \'' . $pi_folio . '\')"><img src="../../sincronizar/eliminar.png" height="30" width="30"></button></td>';

    $rscajas_det2 = mysql_query("SELECT * FROM cal_variedades WHERE variedad_id='" . $variedad_id . "'");

    if ($rowcajas_det2 = mysql_fetch_array($rscajas_det2)) {
      $variedad_nombre = $rowcajas_det2['variedad_nombre'];
    } else {
      $variedad_nombre = "";
    }


    echo '<td>' . $num_caja . '</td>';



    echo '<td>' . $productor_id . '</td>';

    echo '<td>' . $variedad_nombre . '</td>';




    $defectos = "(";
    $defectos2 = "";
    $rs2 = mysql_query("SELECT * FROM `cal_norma_detalle` INNER JOIN cal_planilla_defectos ON cal_planilla_defectos.id_planilla_defecto=cal_norma_detalle.id_planilla_defecto INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto WHERE cal_norma_detalle.norma_id='$norma_id_prom' AND cal_norma_detalle.clasificacion_id='$clasificacion_id'AND cal_norma_detalle.variedad_id='$variedad_id'AND cal_norma_detalle.calibre_id='$calibre_id' ORDER BY cal_norma_detalle.orden_ingreso ASC");


    while ($row2 = mysql_fetch_array($rs2)) {
      $defectos .= "cal_norma_detalle.norma_detalle_id='" . $row2['norma_detalle_id'] . "' OR ";
      $defectos2 .= "AND cal_norma_detalle.id_planilla_defecto!='" . $row2['id_planilla_defecto'] . "' ";
    }

    $rs2 = mysql_query("SELECT * FROM `cal_norma_detalle` INNER JOIN cal_planilla_defectos ON cal_planilla_defectos.id_planilla_defecto=cal_norma_detalle.id_planilla_defecto INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto WHERE cal_norma_detalle.norma_id='$norma_id_prom' AND cal_norma_detalle.clasificacion_id='$clasificacion_id'AND cal_norma_detalle.variedad_id='$variedad_id'AND cal_norma_detalle.calibre_id='TODOS' $defectos2 ORDER BY cal_norma_detalle.orden_ingreso ASC");

    while ($row2 = mysql_fetch_array($rs2)) {
      $defectos .= "cal_norma_detalle.norma_detalle_id='" . $row2['norma_detalle_id'] . "' OR ";
      $defectos2 .= "AND cal_norma_detalle.id_planilla_defecto!='" . $row2['id_planilla_defecto'] . "' ";
    }

    $rs2 = mysql_query("SELECT * FROM `cal_norma_detalle` INNER JOIN cal_planilla_defectos ON cal_planilla_defectos.id_planilla_defecto=cal_norma_detalle.id_planilla_defecto INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto WHERE cal_norma_detalle.norma_id='$norma_id_prom' AND cal_norma_detalle.clasificacion_id='$clasificacion_id'AND cal_norma_detalle.variedad_id='TODAS'AND cal_norma_detalle.calibre_id='$calibre_id' $defectos2 ORDER BY cal_norma_detalle.orden_ingreso ASC");

    while ($row2 = mysql_fetch_array($rs2)) {
      $defectos .= "cal_norma_detalle.norma_detalle_id='" . $row2['norma_detalle_id'] . "' OR ";
      $defectos2 .= "AND cal_norma_detalle.id_planilla_defecto!='" . $row2['id_planilla_defecto'] . "' ";
    }

    $rs2 = mysql_query("SELECT * FROM `cal_norma_detalle` INNER JOIN cal_planilla_defectos ON cal_planilla_defectos.id_planilla_defecto=cal_norma_detalle.id_planilla_defecto INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto WHERE cal_norma_detalle.norma_id='$norma_id_prom' AND cal_norma_detalle.clasificacion_id='TODAS'AND cal_norma_detalle.variedad_id='$variedad_id'AND cal_norma_detalle.calibre_id='$calibre_id' $defectos2 ORDER BY cal_norma_detalle.orden_ingreso ASC");

    while ($row2 = mysql_fetch_array($rs2)) {
      $defectos .= "cal_norma_detalle.norma_detalle_id='" . $row2['norma_detalle_id'] . "' OR ";
      $defectos2 .= "AND cal_norma_detalle.id_planilla_defecto!='" . $row2['id_planilla_defecto'] . "' ";
    }

    $rs2 = mysql_query("SELECT * FROM `cal_norma_detalle` INNER JOIN cal_planilla_defectos ON cal_planilla_defectos.id_planilla_defecto=cal_norma_detalle.id_planilla_defecto INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto WHERE cal_norma_detalle.norma_id='$norma_id_prom' AND cal_norma_detalle.clasificacion_id='$clasificacion_id'AND cal_norma_detalle.variedad_id='TODAS'AND cal_norma_detalle.calibre_id='TODOS' $defectos2 ORDER BY cal_norma_detalle.orden_ingreso ASC");

    while ($row2 = mysql_fetch_array($rs2)) {
      $defectos .= "cal_norma_detalle.norma_detalle_id='" . $row2['norma_detalle_id'] . "' OR ";
      $defectos2 .= "AND cal_norma_detalle.id_planilla_defecto!='" . $row2['id_planilla_defecto'] . "' ";
    }

    $rs2 = mysql_query("SELECT * FROM `cal_norma_detalle` INNER JOIN cal_planilla_defectos ON cal_planilla_defectos.id_planilla_defecto=cal_norma_detalle.id_planilla_defecto INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto WHERE cal_norma_detalle.norma_id='$norma_id_prom' AND cal_norma_detalle.clasificacion_id='TODAS'AND cal_norma_detalle.variedad_id='$variedad_id'AND cal_norma_detalle.calibre_id='TODOS' $defectos2 ORDER BY cal_norma_detalle.orden_ingreso ASC");

    while ($row2 = mysql_fetch_array($rs2)) {
      $defectos .= "cal_norma_detalle.norma_detalle_id='" . $row2['norma_detalle_id'] . "' OR ";
      $defectos2 .= "AND cal_norma_detalle.id_planilla_defecto!='" . $row2['id_planilla_defecto'] . "' ";
    }

    $rs2 = mysql_query("SELECT * FROM `cal_norma_detalle` INNER JOIN cal_planilla_defectos ON cal_planilla_defectos.id_planilla_defecto=cal_norma_detalle.id_planilla_defecto INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto WHERE cal_norma_detalle.norma_id='$norma_id_prom' AND cal_norma_detalle.clasificacion_id='TODAS'AND cal_norma_detalle.variedad_id='TODAS'AND cal_norma_detalle.calibre_id='$calibre_id' $defectos2 ORDER BY cal_norma_detalle.orden_ingreso ASC");

    while ($row2 = mysql_fetch_array($rs2)) {
      $defectos .= "cal_norma_detalle.norma_detalle_id='" . $row2['norma_detalle_id'] . "' OR ";
      $defectos2 .= "AND cal_norma_detalle.id_planilla_defecto!='" . $row2['id_planilla_defecto'] . "' ";
    }

    $rs2 = mysql_query("SELECT * FROM `cal_norma_detalle` INNER JOIN cal_planilla_defectos ON cal_planilla_defectos.id_planilla_defecto=cal_norma_detalle.id_planilla_defecto INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto WHERE cal_norma_detalle.norma_id='$norma_id_prom' AND cal_norma_detalle.clasificacion_id='TODAS'AND cal_norma_detalle.variedad_id='TODAS'AND cal_norma_detalle.calibre_id='TODOS' $defectos2 ORDER BY cal_norma_detalle.orden_ingreso ASC");

    while ($row2 = mysql_fetch_array($rs2)) {
      $defectos .= "cal_norma_detalle.norma_detalle_id='" . $row2['norma_detalle_id'] . "' OR ";
      $defectos2 .= "AND cal_norma_detalle.id_planilla_defecto!='" . $row2['id_planilla_defecto'] . "' ";
    }


    $defectos .= "1=2)";

    $rs = mysql_query("SELECT * FROM `cal_norma_detalle` INNER JOIN cal_planilla_defectos ON cal_planilla_defectos.id_planilla_defecto=cal_norma_detalle.id_planilla_defecto INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto WHERE cal_norma_detalle.norma_id='$norma_id_prom' AND $defectos ORDER BY cal_norma_detalle.orden_ingreso ASC");
    while ($row = mysql_fetch_array($rs)) {
      $id_defecto = $row['id_defecto'];
      $nombre_defecto = $row['nombre_defecto'];
      $tipo_medicion = $row['tipo_medicion'];
      $hijos_de = $row['hijos_de'];
      $influye_a = $row['influye_a'];
      $color = $row['color'];




      $norma_valor1 = $row['norma_valor1'];
      $norma_valor2 = $row['norma_valor2'];
      $norma_valor3 = $row['norma_valor3'];

      if ($tipo_medicion == 'CALIBRE') {
        $rs_nom_calibre = mysql_query("SELECT * FROM cal_calibre WHERE calibre_id='" . $rowcajas['calibre_id'] . "'");
        if ($row_nom_cal = mysql_fetch_array($rs_nom_calibre)) {
          $cal_nombre = $row_nom_cal['calibre_nombre'];
          echo '<td>' . $row_nom_cal['calibre_nombre'] . '</td>';
        } else {
          echo '<td></td>';
        }
      } else if ($tipo_medicion == 'FOLIO PALLET') {
        echo '<td>' . $folio_pallet . '</td>';
      } else if ($tipo_medicion == 'NPROCESO') {
        echo '<td>' . $n_proceso . '</td>';
      } else if ($tipo_medicion == 'NFRUTOS') {
        echo '<td>' . $nfrutos . '</td>';
      } else if ($tipo_medicion == 'PESO BAYA') {
        echo '<td>' . $baya_promedio . '</td>';
      } else if ($tipo_medicion == 'CANT CAJAS') {
        echo '<td>' . $cant_cajas . '</td>';
      } else if ($tipo_medicion == 'NLOTE') {
        echo '<td>' . $n_lote . '</td>';
      } else if ($tipo_medicion == 'NOTA CALIDAD') {
        echo '<td>' . $n_cal . '</td>';
      } else if ($tipo_medicion == 'NOTA CONDICION') {
        echo '<td>' . $n_cond . '</td>';
      } else {
        $rs_defecto = mysql_query("SELECT * FROM `cal_cajas_det` WHERE caja_id='$caja_id' AND id_defecto='$id_defecto'");
        if ($row_defecto = mysql_fetch_array($rs_defecto)) {
          $cumple = $row_defecto['cumple'];

          /* if($tipo_medicion=='TIPO EVALUACION'){
                if($row_defecto['valor_defecto']==""){
                    $caja_det_id=$caja_id."_678"; 
                    $sql =  ("INSERT INTO `cal_cajas_det`(`cajas_det_id`, `caja_id`, `pi_folio`, `norma_id`, `num_cajas_det`, `id_defecto`, `valor_defecto`, `valor_real`, `cumple`, `cliente_id`) VALUES ('$caja_det_id','$caja_id','$pi_folio','11','$num_caja','678','COMERCIAL','COMERCIAL','VERDE','RB')");
                    $result = @mysql_query($sql);
                }
            }*/
          /* if($tipo_medicion=='FRUTOS EXPORTABLES'){
                 $suma_total=100-$row_defecto['valor_defecto'];
                 
             }
            
               $sql4 = "DELETE FROM cal_cajas_det WHERE caja_id='$caja_id' and id_defecto='72'";
                $result4 = @mysql_query($sql4);
                $caja_det_id=$caja_id."_72";
                $sql =  ("INSERT INTO `cal_cajas_det`(`cajas_det_id`, `caja_id`, `pi_folio`, `norma_id`, `num_cajas_det`, `id_defecto`, `valor_defecto`, `valor_real`, `cumple`, `cliente_id`) VALUES ('$caja_det_id','$caja_id','$pi_folio','11','$num_caja','72','$suma_total','$suma_total','VERDE','RB')");
                $result = @mysql_query($sql);*/


          if ($cumple == 'VERDE') {
            echo '<td>' . $row_defecto['valor_defecto'] . '</td>';
          } else if ($cumple == 'AMARILLO') {
            echo '<td style="color:#FFFF00; background-color:#6E6E6E;">' . $row_defecto['valor_defecto'] . '</td>';
          } else if ($cumple == 'ROJO') {
            echo '<td style="color:#DF0101;">' . $row_defecto['valor_defecto'] . '</td>';
          } else {
            echo '<td>' . $row_defecto['valor_defecto'] . '</td>';
          }
        } else {
          /*if($tipo_medicion=='TIPO EVALUACION'){
                
                    $caja_det_id=$caja_id."_678";
                    $sql =  ("INSERT INTO `cal_cajas_det`(`cajas_det_id`, `caja_id`, `pi_folio`, `norma_id`, `num_cajas_det`, `id_defecto`, `valor_defecto`, `valor_real`, `cumple`, `cliente_id`) VALUES ('$caja_det_id','$caja_id','$pi_folio','11','$num_caja','678','COMERCIAL','COMERCIAL','VERDE','RB')");
                    $result = @mysql_query($sql);
                
            }*/

          echo '<td></td>';
        }
      }
    }



    //################ FOTOS CAJA MADRE ################
    $rscajas_det = mysql_query("SELECT * FROM cal_cajas_fotos WHERE num_foto_caja='1' AND caja_id='$caja_id'");

    if ($rowcajas_det = mysql_fetch_array($rscajas_det)) {

      $nombre_foto = $rowcajas_det['nombre_foto'];
      $link = $rowcajas_det['link'] . "/" . $nombre_foto;
      $defecto1_foto = $rowcajas_det['defecto1_foto'];
      echo "<td><a class='ejemplo_1' href='../" . $link . ".jpg' title='" . $rowcajas_det['nombre_foto'] . "</br>" . $rowcajas_det['defecto1_foto'] . "'><img src='../" . $link . ".jpg' height='30' width='30' /></a></td>";
    } else {
      echo '<td></td>';
    }



    $rscajas_det = mysql_query("SELECT * FROM cal_cajas_fotos WHERE num_foto_caja='2' AND caja_id='$caja_id'");

    if ($rowcajas_det = mysql_fetch_array($rscajas_det)) {

      $nombre_foto = $rowcajas_det['nombre_foto'];
      $link = $rowcajas_det['link'] . "/" . $nombre_foto;
      $defecto1_foto = $rowcajas_det['defecto1_foto'];
      echo "<td><a class='ejemplo_1' href='../" . $link . ".jpg' title='" . $rowcajas_det['nombre_foto'] . "</br>" . $rowcajas_det['defecto1_foto'] . "'><img src='../" . $link . ".jpg' height='30' width='30' /></a></td>";
    } else {
      echo '<td></td>';
    }

    $rscajas_det = mysql_query("SELECT * FROM cal_cajas_fotos WHERE num_foto_caja='3' AND caja_id='$caja_id'");

    if ($rowcajas_det = mysql_fetch_array($rscajas_det)) {

      $nombre_foto = $rowcajas_det['nombre_foto'];
      $link = $rowcajas_det['link'] . "/" . $nombre_foto;
      $defecto1_foto = $rowcajas_det['defecto1_foto'];
      echo "<td><a class='ejemplo_1' href='../" . $link . ".jpg' title='" . $rowcajas_det['nombre_foto'] . "</br>" . $rowcajas_det['defecto1_foto'] . "'><img src='../" . $link . ".jpg' height='30' width='30' /></a></td>";
    } else {
      echo '<td></td>';
    }

    if ($observacion != '') {
      echo '<td><a href="#" onclick="ver_observacion(\'' . $observacion . '\');">SI</a></td>';
    } else {
      echo '<td></td>';
    }
    echo '</tr>';
  }


  ?>

  </TABLE>


  <!-- Modal -->
  <div class="modal fade" id="modalFormcajas" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true" width="100%">
    <div class="modal-dialog modal-full" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLongTitle">Crear</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">

          <div id="nuevo_form"></div>

        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal" onclick="$('#modalFormcajas').modal('toggle');">Close</button>
          <button type="button" class="btn btn-primary" onclick="enviar();">Save changes</button>
        </div>
      </div>
    </div>
  </div>

  <!-- Modal  CUMPLE ELIMINAR-->
  <div class="modal fade" id="modalCumpleEliminar" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true" width="100%">
    <div class="modal-dialog modal-full" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLongTitle">Eliminar</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <form>
            <?php
            $cumplesi = "SI";
            $cumpleno = "NO";
            echo '<input type="hidden" id="caja_id_eliminar">';
            echo '<button type="button" class="btn btn-primary" onclick="eliminar(\'' . $cumplesi . '\');">SI</button>
          <button type="button" class="btn btn-primary" onclick="eliminar(\'' . $cumpleno . '\');">NO</button>';

            ?>


          </form>

        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        </div>
      </div>
    </div>
  </div>

</body>
<script type="text/javascript">
  function nueva_caja(embalaje_cod, variedad_id, productor_id, camara_id, n_proceso, pi_folio, especie_id, n_lote, norma_id) {
    //alert(n_proceso);
    $('#modalFormcajas').modal();
    $("#nuevo_form").load("form_ingreso.php?embalaje_cod=" + embalaje_cod + '&variedad_id=' + variedad_id + '&productor_id=' + productor_id + '&camara_id=' + camara_id + '&n_proceso=' + n_proceso + '&pi_folio=' + pi_folio + '&especie_id=' + especie_id + '&n_lote=' + n_lote + '&norma_id=' + norma_id);
  }

  function editar(num_caja, pi_folio, embalaje_cod, norma_id, especie_id, n_lote) {

    var caja_id = pi_folio + '_' + num_caja;

    $('#modalFormcajas').modal();
    $("#nuevo_form").load("form_editar.php?embalaje_cod=" + embalaje_cod + '&pi_folio=' + pi_folio + '&num_caja=' + num_caja + '&norma_id=' + norma_id + '&caja_id=' + caja_id + '&especie_id=' + especie_id + '&n_lote=' + n_lote);
  }

  $(document).ready(function() {
    $('.otroscal_opcion').hide();
    $('.otroscond_opcion').hide();
    $('#otroscal').click(function() {
      $('.otroscal_opcion').toggle();
      // if your table has header(th), use this
      //$('td:nth-child(2),th:nth-child(2)').hide();
    });
    $('#otroscond').click(function() {
      $('.otroscond_opcion').toggle();
      // if your table has header(th), use this
      //$('td:nth-child(2),th:nth-child(2)').hide();
    });
  });


  function eliminar_caja(num_caja, pi_folio) {

    var caja_id = pi_folio + '_' + num_caja;
    $('#caja_id_eliminar').val(caja_id);

    $('#modalCumpleEliminar').modal();
  }

  function eliminar(cumple_eliminar) {
    var pi_folio = <?php echo json_encode($pi_folio); ?>;
    var norma_id = <?php echo json_encode($norma_id); ?>;
    var n_proceso = <?php echo json_encode($n_proceso); ?>;
    var embalaje_cod = <?php echo json_encode($embalaje_cod); ?>;
    var variedad_id = <?php echo json_encode($variedad_id); ?>;
    var productor_id = <?php echo json_encode($productor_id); ?>;
    var clasificacion_id = <?php echo json_encode($clasificacion_id); ?>;
    var calibre_id = <?php echo json_encode($calibre_id); ?>;
    var especie_id = <?php echo json_encode($especie_id); ?>;

    var caja_id_eliminar = $('#caja_id_eliminar').val();
    //alert(caja_id_eliminar);
    //alert(cumple_eliminar);

    //alert(caja_id_cumple);
    $.ajax({
      type: 'POST',
      url: 'eliminar.php',
      data: {
        "cumple_eliminar": cumple_eliminar,
        "caja_id_eliminar": caja_id_eliminar
      },
      dataType: 'json',
      cache: false,
      success: function(result) {
        //var result = eval('('+result+')');
        //alert(result.perfil);
        if (result.success) {

          window.location.href = "index.php?pi_folio=" + pi_folio + "&especie_id=" + especie_id + "&embalaje_cod=" + embalaje_cod + "&variedad_id=" + variedad_id + "&productor_id=" + productor_id + "&clasificacion_id=" + clasificacion_id + "&calibre_id=" + calibre_id + "&n_proceso=" + n_proceso;


        } else {
          $('#modalCumplePacking').modal('toggle');
          alert("ERROR");
        }

      },
    });

  }
</script>
</html>